package admin_agent

import (
	"context"

	"jnc-server/app/main/api/internal/svc"
	"jnc-server/app/main/api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type AdminRefundAgentOrderLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewAdminRefundAgentOrderLogic(ctx context.Context, svcCtx *svc.ServiceContext) *AdminRefundAgentOrderLogic {
	return &AdminRefundAgentOrderLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *AdminRefundAgentOrderLogic) AdminRefundAgentOrder(req *types.AdminRefundAgentOrderReq) (resp *types.AdminRefundAgentOrderResp, err error) {
	// todo: add your logic here and delete this line

	return
}
